Bug 234689 - /bin/ed in endless loop when searching for pattern in last line
Summary: /bin/ed in endless loop when searching for pattern in last line
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ed (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
urgent
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-31 10:57 UTC by nt.guilde
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 15:51:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description nt.guilde 2007-03-31 10:57:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.2) Gecko/20070220 Firefox/2.0.0.2

Description of problem:


Version-Release number of selected component (if applicable):
ed-0.3-0.fc6

How reproducible:
Always


Steps to Reproduce:
1.echo a >test
2.ed test
3.?^a?

Actual Results:
  100% of CPU.
  This bug was not in FC5.

Expected Results:


Additional info:

Comment 1 Karsten Hopp 2007-07-02 13:14:12 UTC
Bug still exists in ed-0.6, I've reported it upstream.
Fix looks easy as there's a missing check to exit a do-while loop, but I'll
wait for confirmation before I push new packages.

Comment 2 Karsten Hopp 2007-07-23 11:53:08 UTC
fixed in ed-0.7-1.fc7 and ed-0.7-1.fc8

Comment 3 Fedora Update System 2007-07-23 15:51:04 UTC
ed-0.7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.